com.amazonaws.services.simpleworkflow.model

## Class ActivityTaskCanceledEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTaskCanceledEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTaskCanceledEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ActivityTaskCanceled` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTaskCanceledEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTaskCanceledEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` Details of the cancellation (if any).
`Long` `getLatestCancelRequestedEventId()` If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task.
`Long` `getScheduledEventId()` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`Long` `getStartedEventId()` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`int` `hashCode()`
`void` `setDetails(String details)` Details of the cancellation (if any).
`void` `setLatestCancelRequestedEventId(Long latestCancelRequestedEventId)` If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task.
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTaskCanceledEventAttributes` `withDetails(String details)` Details of the cancellation (if any).
`ActivityTaskCanceledEventAttributes` `withLatestCancelRequestedEventId(Long latestCancelRequestedEventId)` If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task.
`ActivityTaskCanceledEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`ActivityTaskCanceledEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTaskCanceledEventAttributes

    public ActivityTaskCanceledEventAttributes()

### Method Detail

#### setDetails

    public void setDetails(String details)

Details of the cancellation (if any).

Parameters:
  `details` - Details of the cancellation (if any).

#### getDetails

    public String getDetails()

Details of the cancellation (if any).

Returns:
  Details of the cancellation (if any).

#### withDetails

    public ActivityTaskCanceledEventAttributes withDetails(String details)

Details of the cancellation (if any).

Parameters:
  `details` - Details of the cancellation (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public ActivityTaskCanceledEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public ActivityTaskCanceledEventAttributes withStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLatestCancelRequestedEventId

    public void setLatestCancelRequestedEventId(Long latestCancelRequestedEventId)

If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `latestCancelRequestedEventId` - If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getLatestCancelRequestedEventId

    public Long getLatestCancelRequestedEventId()

If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withLatestCancelRequestedEventId

    public ActivityTaskCanceledEventAttributes withLatestCancelRequestedEventId(Long latestCancelRequestedEventId)

If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `latestCancelRequestedEventId` - If set, contains the ID of the last `ActivityTaskCancelRequested` event recorded for this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTaskCanceledEventAttributes clone()

Overrides:
  `clone` in class `Object`